package org.intranet.games.minesweeper.swing;

/** 
* @author Chris Dailey
*/
public class AboutDialog extends javax.swing.JDialog
{
  public AboutDialog(javax.swing.JFrame f)
  {
    super(f, "About Minesweeper", true);
    java.awt.Container content = getContentPane();
    content.setLayout(new java.awt.BorderLayout());

    javax.swing.JPanel closePanel = new javax.swing.JPanel();
    javax.swing.JButton closeButton = new javax.swing.JButton("Close");
    closeButton.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(java.awt.event.ActionEvent ae) {
        AboutDialog.this.setVisible(false);
      }
    });
    closePanel.add(closeButton);
    content.add(closePanel, java.awt.BorderLayout.SOUTH);

    String[] textList = {
      "Minesweeper",
      "Version 1.1",
      "Written by Chris Dailey",
      "http://home.intranet.org/~mouse/java/prog/minesweeper/",
      "Copyright 2000-2002 Chris Dailey",
      "License terms at http://www.gnu.org/licenses/lgpl.html",
    };
    javax.swing.JPanel textPanel = new javax.swing.JPanel();
    textPanel.setBackground(java.awt.Color.white);
    textPanel.setLayout(new java.awt.GridLayout(textList.length, 1));
    for (int i = 0; i < textList.length; i++)
    {
      textPanel.add(new javax.swing.JLabel(textList[i]));
    }
    content.add(textPanel, java.awt.BorderLayout.CENTER);
    pack();
  }
}